#
# spec file for package xdriinfo
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xdriinfo
Version:        1.0.7
Release:        1.4
Summary:        Query configuration information of DRI drivers
License:        MIT
Group:          System/X11/Utilities
URL:            https://wiki.freedesktop.org/dri/
Source0:        https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
Source1:        https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz.sig
Source2:        %{name}.keyring
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glproto)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xorg-macros)
BuildRequires:  pkgconfig(xproto)

%description
Driinfo can be used to query configuration information of direct rendering
drivers (DRI).

%prep
%setup -q

%build
%configure --x-includes=%{_includedir} --x-libraries=%{_libdir}

%make_build

%install
%make_install

%files
%license COPYING
%doc AUTHORS ChangeLog README.md
%{_bindir}/xdriinfo
%{_mandir}/man1/xdriinfo.1%{?ext_man}

%changelog
* Wed Dec 28 2022 Dirk Müller <dmueller@suse.com>
- update to 1.0.7:
  * Ensure screenNum is always initialized
  * Variable scope reduction
  * Build xz tarballs instead of bzip2
  * Update configure.ac bug URL for gitlab migration
  * Update README for gitlab migration
- spec file modernization
* Wed Mar  7 2018 sndirsch@suse.com
- Update to version 1.0.6
  * autogen.sh: use quoted string variables
  * Fix xdriinfo not working with glvnd
  * autogen: add default patch prefix
  * autogen.sh: use exec instead of waiting for configure to finish
* Tue Jul  5 2016 toddrme2178@gmail.com
- Fix Group tag.
* Wed Feb 10 2016 mpluskal@suse.com
- Add keyring for signature verification
- Make building more verbose
* Tue Dec 29 2015 mailaender@opensuse.org
- add license and changelog
* Sun Dec 20 2015 mailaender@opensuse.org
- initial packaging
